
QGIS Application - Bug report #5962

"Merge Shapefile to one" crashes QGIS if .prj files are missing

2012-07-06 05:54 AM - Gerhard Spieles

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:1.8.0 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:Yes Copied to github as #: 15382

Description

Running the merge shapefile to one process, qgis 1.8.0.1 crash on windows

Related issues:

Related to QGIS Application - Bug report # 5251: if "Options -> CRS -> coordi... Closed 2012-03-28

History

#1 - 2012-07-06 06:30 AM - Alexander Bruy

- Priority changed from High to Normal

Please provide more info about issue(which options are used) and attach sample dataset to reproduce bug

#2 - 2012-07-06 03:46 PM - Gerhard Spieles

- File vektor_merge_to_one_crash_qgis_settings.jpg added

- File qgiscrashmerge.zip added

jpg with settings and a sample dataset are attached

#3 - 2012-07-08 10:49 AM - Giovanni Manghi

This seems a duplicate of #3077 that was already tagged as fixed.

#4 - 2012-07-08 10:52 AM - Giovanni Manghi

- OS version deleted (XP 32, SP3)

- Operating System deleted (win)

- Target version set to Version 2.0.0

- Priority changed from Normal to High

- Subject changed from Vector, Datamanagment, Merge Shapefile to one crash qgis 1.8.0 to "Merge Shapefile to one" crashes QGIS if .prj files are 

missing

So it is not solved... it seg fault on my Linux box. Adding the prj files and it works fine.

#5 - 2012-07-09 11:40 AM - Gerhard Spieles
In QGis ver. 1.7.1, gdal 1,8, it works fine without prj file.

versions 1.7.4, 1,8.0 and master, all gdal 1.9, are infected with the crash, missing the prj file.

#6 - 2012-07-09 11:48 AM - Alexander Bruy

Related to #5251 (or even duplicate)

This is because now QGIS asks for CRS when opened layer without projection information. Seems calling this dialog from thread causes crash.

#7 - 2012-10-06 08:23 AM - Giovanni Manghi

Alexander Bruy wrote:

Related to #5251 (or even duplicate)

strange, this still causes crash while #5251 does not.

#8 - 2012-12-26 11:23 AM - Giovanni Manghi

- Priority changed from High to Severe/Regression

gespiel - wrote:

In QGis ver. 1.7.1, gdal 1,8, it works fine without prj file.

versions 1.7.4, 1,8.0 and master, all gdal 1.9, are infected with the crash, missing the prj file.

if it worked fine in a previous qgis version then this is regression.

#9 - 2012-12-29 05:53 AM - Giovanni Manghi

probable duplicate of #5251

#10 - 2012-12-31 12:45 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

#11 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
